/******************************************************************************
 *
 * Controller-Board der TSU
 *
 * H8/3067
 *
 *
 ******************************************************************************
 */


/******************************************************************************
 *	Peripherie-Variablen
 ******************************************************************************
 */

// Kippschalter
#define CBTSU_Schalter  (*(volatile unsigned char*)(0x400030))       //* Adresse der Kipp Schalter
// gruene LED's
#define CBTSU_LED_Gruen (*(volatile unsigned char*)(0x400040))       //* Adresse fr die grnen LED's
// rote LED's
#define CBTSU_LED_Rot   (*(volatile unsigned char*)(0x400050))       //* Adresse fr die grnen LED's


/******************************************************************************
 *	Peripherie-Funktionen
 ******************************************************************************
 */

// String auf LCD anzeigen auf gew. Zeile (1..4)
void CBTSU_DispString(unsigned char zeile, char *s);
// Integer auf LCD anzeigen auf gew. Zeile (1..4), linksbuendig
void CBTSU_DispInt(unsigned char zeile, int n);
// LCD initialisieren
void LCD_Init(void);
// Cursor auf LCD positionieren
void LCD_XY(unsigned char x, unsigned char y);
// einzelner Char auf LCD ausgeben
void LCD_Char(char c);
// Kommand ausgeben
void LCD_IWrite(unsigned char command);


// Initialisierung der RS-Schnittstelle 1 mit 9600Baud, 8Bit, no parity
void CBTSU_RSInit(void);
// Schreibt String auf RS-Schnittstelle
void CBTSU_RSWriteLn(char *s);
// Liest String von RS-Schnittstelle
void CBTSU_RSReadLn(char *s);





